Package wx :: Module richtext :: Class RichTextParagraph

[frames | no frames]

## Type RichTextParagraph

         object --+
                  |
             Object --+
                      |
         RichTextObject --+
                          |
    RichTextCompositeObject --+
                              |
                    RichTextBox --+
                                  |
                                 RichTextParagraph

This object represents a single paragraph (or in a straight text editor, a line).

Method Summary
RichTextParagraph | ``__init__`(self, text, parent, paraStyle, charStyle)` This object represents a single paragraph (or in a straight text editor, a line).
| `__del__(self)`
RichTextLine | `AllocateLine(self, pos)`
| `ApplyParagraphStyle(self, attr, rect)`
| `ClearDefaultTabs()` (Static method)
| `ClearLines(self)`
bool | `ClearUnusedLines(self, lineCount)`
| `Copy(self, obj)`
RichTextObject | `FindObjectAtPosition(self, position)`
bool | `FindWrapPosition(self, range, dc, availableSpace, wrapPosition)`
String | `GetBulletText(self)`
TextAttrEx | `GetCombinedAttributes(self, contentStyle)`
bool | `GetContiguousPlainText(self, text, range, fromStart)`
wxArrayInt | `GetDefaultTabs()` (Static method)
long | `GetFirstLineBreakPosition(self, pos)`
wxRichTextLineList | `GetLines(self)`
| `InitDefaultTabs()` (Static method)
bool | `InsertText(self, pos, text)`
| `MoveFromList(self, list)`
| `MoveToList(self, obj, list)`
RichTextObject | `SplitAt(self, pos, previousObject)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, text, parent=None, paraStyle=None, charStyle=None)
(Constructor)

This object represents a single paragraph (or in a straight text editor, a line).

  Parameters:
    `text`
    (type=String)

    `parent`
    (type=RichTextObject)

    `paraStyle`
    (type=TextAttrEx)

    `charStyle`
    (type=TextAttrEx)

  Returns:
    RichTextParagraph
  Overrides:
    `wx.richtext.RichTextBox.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown-42970840(...)
  Set Method:
    unknown-42970960(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:51 2007 | http://epydoc.sf.net